#ifndef IPX_HPP
#define IPX_HPP

#include "x_types.h"

struct ECBrec {
  byte __far *link;
  void __far (*ESRaddress)();
  byte inUseFlag;
  byte completionCode;
  word ECBsocket;		/* high-low */
  byte IPXworkspace[4];		/* N/A */
  byte driverWorkspace[12];	/* N/A */
  byte immediateAddress[6];	/* high-low */
  word fragmentCount;           /* low-high */

  byte __far *fAddress;
  word fSize;                   /* low-high */

  byte __far *f2Address;
  word f2Size;                  /* low-high */
};

struct IPXrec {
  word packetCheckSum;          /* high-low */
  word packetLength;            /* high-low */
  byte packetTransportControl;
  byte packetType;

  byte dNetwork[4];             /* high-low */
  byte dNode[6];                /* high-low */
  word dSocket;                 /* high-low */

  byte sNetwork[4];             /* high-low */
  byte sNode[6];                /* high-low */
  word sSocket;                 /* high-low */
};

struct LocalAddr {
  byte network[4];              /* high-low */
  byte node[6];                 /* high-low */
};

struct NodeAddr {
     byte    node[6];           /* high-low */
};

void			IPXinit();
void			IPXdeInit();
void			IPXcheck();

extern int              IPXmutex;
extern word		nPacketsWaiting;
extern word		nRecb;

#endif
